﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using static System.Windows.Forms.VisualStyles.VisualStyleElement.StartPanel;

namespace kintone_viewer2024
{
    public partial class LoginForm : Form
    {
        private Form1 parentForm;


        public LoginForm(Form1 parentForm)
        {
            InitializeComponent();

            this.parentForm = parentForm;
        }


        private void button1_Click(object sender, EventArgs e)
        {
            if (IsValidLogin(txtUsername.Text, txtPassword.Text))
            {
                parentForm.UserName = txtUsername.Text;
                parentForm.PassWord = txtPassword.Text;

                this.DialogResult = DialogResult.OK;
            }
            else
            {
                this.DialogResult = DialogResult.Cancel;
            }
        }


        private bool IsValidLogin(string username, string password)
        {
            return true;
            //return (username == "18648981@alumni.tus.ac.jp" && password == "yokomimi01");
        }


        private void LoginForm_Load(object sender, EventArgs e)
        {
            txtUsername.Text = Properties.Settings.Default.user_id;
        }


        private void LoginForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            Properties.Settings.Default.user_id = txtUsername.Text;
            Properties.Settings.Default.Save();
        }



    }
}
